import { renderHook, act } from '@testing-library/react-hooks';
import { useState } from 'react';
import useDeepCompareEffect from '../index';

describe('useDeepCompareEffect', () => {
  it('should be defined', () => {
    expect(useDeepCompareEffect).toBeDefined();
  });

  it('test deep compare', async () => {
    const hook = renderHook(() => {
      const [x, setX] = useState(0);
      const [y, setY] = useState({});
      useDeepCompareEffect(() => {
        setX((x) => x + 1);
      }, [y]);
      return { x, setY };
    });
    expect(hook.result.current.x).toBe(1);

    await act(async () => {
      hook.result.current.setY({});
    });
    expect(hook.result.current.x).toBe(1);
  });
});
